// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "help"
Item {
    property string currentGame: solitairerunner.currentGameId

    id: helpContentId

    onVisibleChanged: {
        if (visible) {
            if (currentGame=="corners") {
                helpCornersId.visible = true
                helpTextId.visible = false
                helpContentId.height = helpCornersId.height
            } else {
                helpCornersId.visible = false
                helpTextId.visible = true
                helpContentId.height = helpTextId.height
            }
        }
    }

    ImageLocations {
        id: imagesId
    }
    UiStrings {
        id: uiStringsId
    }

    Text {
        visible: !helpCornersId.visible
        id: helpTextId
        width: parent.width
        text: solitairerunner.currentHelp
        color: uiStringsId.txtColor
        font.bold: false
        font.pointSize: phonemodel === "symbian" ? 6 : 20
        wrapMode: Text.WordWrap
    }

    HelpCorners {
        id: helpCornersId
    }
}
