import QtQuick 1.0

Item {

    signal closeHelpPressed()

    anchors.fill: parent

    MouseArea {
        anchors.fill: parent
    }

    Behavior on opacity {
        PropertyAnimation {
            duration: solitairelayout.moveAnimationTime
        }
    }

    ImageLocations {
        id: imagesId
    }
    UiStrings {
        id: uiStringsId
    }

    id: helpContainerId

    function setFlickableAtTop() {
        flickableHelpText.contentY = 0
    }


    Image {
        anchors.fill: parent
        source: helpContainerId.width > helpContainerId.height ? imagesId.imgBgLandscape : imagesId.imgBgPortrait
    }

    Rectangle {
        id: closeButtonContainerId
        height: closeButtonId.height + 5
        width: parent.width
        opacity: 0.0
        anchors.bottom: parent.bottom
        MouseArea {
            anchors.fill: parent
            onClicked: {
                // do nothing
            }
        }
    }

    Image {
        id: closeButtonId
        height: 67
        width: 100
        anchors.bottom: closeButtonContainerId.bottom
        anchors.left: closeButtonContainerId.left
        source: buttonAreaId.pressed ? imagesId.imgButtonBackPressed : imagesId.imgButtonBack
        MouseArea {
            id: buttonAreaId
            anchors.fill: parent

            onClicked: {
                closeHelpPressed()
            }
        }
    }


    Flickable {
        id: flickableHelpText
        flickableDirection: Flickable.VerticalFlick
        clip: true
        width: parent.width - 20
        height: parent.height - closeButtonContainerId.height - 20
        anchors.top: parent.top
        contentHeight: helpContentId.height
        contentWidth: parent.width
        anchors.topMargin: 10
        anchors.bottomMargin: 0
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.leftMargin: 5
        anchors.rightMargin: 5
        HelpContent {
            id: helpContentId
            width: parent.width - 20
        }
    }
}

