import QtQuick 1.0

Item {
    signal closeInfoViewPressed()

    anchors.fill: parent

    id: infoViewId

    ImageLocations {
        id: imagesId
    }

    UiStrings {
        id: uiStringsId
    }

    MouseArea {
        anchors.fill: parent
    }


    Image {
        anchors.fill: parent
        source: infoViewId.width > infoViewId.height ? imagesId.imgBgLandscape : imagesId.imgBgPortrait
    }

    Rectangle {
        id: closeButtonContainerId
        height: closeButtonId.height + 5
        width: parent.width
        opacity: 0.0
        anchors.bottom: parent.bottom
        MouseArea {
            anchors.fill: parent
            onClicked: {
                // do nothing
            }
        }
    }

    Image {
        id: closeButtonId
        height: 67
        width: 100
        anchors.left: closeButtonContainerId.left
        anchors.bottom: closeButtonContainerId.bottom
        source: buttonAreaId.pressed ? imagesId.imgButtonBackPressed : imagesId.imgButtonBack
        MouseArea {
            id: buttonAreaId
            anchors.fill: parent

            onClicked: {
                closeInfoViewPressed()
            }
        }
    }

    Text {
        id: versionId
        text: uiStringsId.txtSolitaireGameInfoTitle
        color: uiStringsId.txtColor
        font.pointSize: uiStringsId.infoTextSize
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        anchors.bottomMargin: 6
        anchors.topMargin: 10
        anchors.left: parent.left
        anchors.top: parent.top
        height: 50
    }


    Item {
        id: generalTextId
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: versionId.bottom
        height: 50
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        anchors.bottomMargin: 6
        anchors.topMargin: 10

        Text {
            text: uiStringsId.txtSolitaireGameMoreInfo
            color: uiStringsId.txtColor
            font.pointSize: uiStringsId.infoTextSize
            height: 50
        }

        Image {
            source: imagesId.imgButtonGo
            anchors.right: parent.right
            anchors.verticalCenter: parent.verticalCenter
        }

        MouseArea {
            anchors.fill: parent
            onClicked: {
                Qt.openUrlExternally(uiStringsId.txtSolitaireGameMoreUrl)
            }

        }
    }
    Text {
        id: copyrightId
        text: copyrightText
        color: uiStringsId.txtColor
        font.pointSize: uiStringsId.infoTextSize
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        anchors.bottomMargin: 6
        anchors.left: parent.left
        anchors.bottom: closeButtonContainerId.top
    }

/*
    Item {
        visible: solitairefree
        id: fullVersionTextId
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: generalTextId.bottom
        height: 50
        anchors.leftMargin: 10
        anchors.rightMargin: 10
        anchors.bottomMargin: 6
        anchors.topMargin: 10

        Text {
            text: uiStringsId.txtSolitaireGameLoadFullVersion
            color: uiStringsId.txtColor
            font.pointSize: uiStringsId.infoTextSize
            height: 50
        }

        Image {
            source: imagesId.imgButtonGo
            anchors.right: parent.right
            anchors.verticalCenter: parent.verticalCenter
        }

        MouseArea {
            anchors.fill: parent
            onClicked: {
                Qt.openUrlExternally(uiStringsId.txtSolitaireGameLoadFullVersionUrl)
            }

        }
    }
*/

}
