var cardCount = 52
var cardStack = new Array(cardCount);
var cardComponent = Qt.createComponent("SolitaireCard.qml");

function createCards() {
    for(var i = 0; i<cardCount*2; i++){
        if (cardStack[i] == null ) {
            createOneCard(i);
        }
    }
}

function createOneCard(cardNumber){
    if(cardComponent.status == Component.Ready){
        var dynamicObject = cardComponent.createObject(cardLayer);
        if(dynamicObject == null){
            console.log("error creating card stack");
            console.log(cardComponent.errorString());
            return false;
        }

        dynamicObject.x = 0;
        dynamicObject.y = 0;
        dynamicObject.z = cardNumber+1;
        dynamicObject.visible = false;
        dynamicObject.cardNumber = cardNumber+1;
        dynamicObject.faceUp = false;
        dynamicObject.cardFlipAnimation = true;
        //map to engine...
        solitaire.addCardVisual(dynamicObject);
        dynamicObject.cardReleased.connect(tableId.cardDrop);
        dynamicObject.cardPositionChanged.connect(tableId.cardMoved);
        dynamicObject.cardMoveMoveAnimationStateChanged.connect(tableId.cardAnimationStateChanged);
/*        dynamicObject.wasClicked.connect(boardId.cardClicked);
        dynamicObject.wasMoveAnimationFinished.connect(mainId.cardAnimationFinished);
        //solitaireLayoutId.layoutChanged.connect(dynamicObject.cardLayoutChanged);
        */
        cardStack[cardNumber] = dynamicObject;
    }else{
        console.log("error loading card stack component");
        console.log(cardComponent.errorString());
        return false;
    }
    return true;
}


function getCard(cardNumber) {
    return cardStack[cardNumber-1];
}


function updateCardCoords() {
    for(var i = 0; i<cardCount; i++){
        if (cardStack[i] != null ) {
            //console.log("updating card " + i)
            cardStack[i].x = getCardCoordX(cardStack[i].pile)
            cardStack[i].y = getCardCoordY(cardStack[i].pile, cardStack[i].pileIndex)
        }
    }
}

function getCardCoordX(cardPileNumber) {
    var x=0
    var cardGap = solitaireLayoutId.cardGapX

    switch (cardPileNumber) {
    case 0:
            x=0
    break
    case 1:
            x=cardGap
    break

    case 2:
    case 3:
    case 4:
    case 5:
            x=(cardPileNumber+1)*cardGap
    break
    default:
            x=(cardPileNumber-6)*cardGap
    break

    }
    x = x + solitaireLayoutId.tableuLeft

    return x;
}

function getCardCoordY(cardPileNumber, cardIndexInPile) {
    var y=solitaireLayoutId.tableuTop
    if (cardPileNumber>=6) {
        y = solitaireLayoutId.cardGapY + (cardIndexInPile-1)*solitaireLayoutId.cardCascadeGapY
    }

    return y;
}

