import QtQuick 1.0

Item  {
    signal wasClicked(variant data)
    property int stackNumber: 0
    property int cascadeType: 0
    // 0: stack
    // 1: vertical cascade
    // 2: horizontal cascade left to right
    // 3: cascade three cards horizontally left to right
    // 4: horizontal cascade right to left
    // 5: cascade three cards horizontally right to left

    property bool showStack: true
    property string customText: ""

    /**
      * 0: center
      * 1: above
      * more to come?
      */
    property int customTextLocation: 0

    id: cardStackId
    width: stackEmptyId.width
    height: stackEmptyId.height

/*
    Behavior on x {
        enabled: solitairelayout.moveAnimation
        PropertyAnimation {
            duration: solitairelayout.moveAnimationTime
        }
    }
    Behavior on y {
        enabled: solitairelayout.moveAnimation
        PropertyAnimation {
            duration: solitairelayout.moveAnimationTime
        }
    }
*/

    ImageLocations {
        id: imagesId
    }
    UiStrings {
        id: uiStringsId
    }

    Image {
        id: stackEmptyId
        source: imagesId.imgCardLocation + imagesId.imgStackBg
        opacity: showStack ? 1.0 : 0.0
        Behavior on opacity {
            PropertyAnimation {
                duration: solitairelayout.flipAnimationTime
            }
        }
    }
/*
    Rectangle {
        id: stackEmptyId
        width: 45
        height: 54
        color: "skyblue"
        opacity: showStack ? 1.0 : 0.0
        Behavior on opacity {
            PropertyAnimation {
                duration: solitairelayout.flipAnimationTime
            }
        }
    }
*/
    Text {
        visible: customText.length > 0
        font.pixelSize: 18
        y: customTextLocation == 1 ? -24 : stackEmptyId.height/2 - height/2
//        anchors.verticalCenter: customTextLocation == 1 ? undefined : parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        text: customText
        color: customTextLocation == 1 ? uiStringsId.stackTxtColor1 : uiStringsId.stackTxtColor2
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            solitairerunner.stackClicked(stackNumber)
        }
    }
}
