import QtQuick 1.0

Item {
    signal itemSelected(variant game)

    property bool landscape: solitaireListViewId.width > solitaireListViewId.height
    property int rowWidth: landscape ? solitaireListViewId.width / 2 : solitaireListViewId.width
    property int rowHeight: solitairefree ? (landscape ? solitaireListViewId.height / 2 : solitaireListViewId.height / 4) : (landscape ? solitaireListViewId.height / 3.3 : solitaireListViewId.height / 6.3)

    property int gameTextSize: phonemodel === "symbian" ? 10 : rowHeight / 4
    property int gameInfoTextSize: phonemodel === "symbian" ? 6 : rowHeight / 6

    ImageLocations {
        id: imagesId
    }
    UiStrings {
        id: uiStringsId
    }



    Component {
        id: solitaireListDelegateId
        Item {
            id: itemId
            width: rowWidth
            height: rowHeight - 10
            Row {
                spacing: 5

                Image {
                    id: iconId
                    source: imagesId.imgGameIconLocation + icon + imagesId.imgGameIconType
                    //height: itemId.height
                    //width: itemId.height
                    fillMode: Image.PreserveAspectFit
                    smooth: true

                }
                Column {
                    Item {
                        width: rowWidth-iconId.width
                        height: iconId.height/2
                        Text {
                            anchors.verticalCenter: parent.verticalCenter
                            font.pointSize: gameTextSize > 0 ? gameTextSize : 10
                            color: uiStringsId.txtColor
                            text: uiname
                        }
                    }
                    Row {
                        width: rowWidth-iconId.width
                        id: statusId
                        Text {
                            anchors.verticalCenter: parent.verticalCenter
                            font.pointSize: gameInfoTextSize > 0 ? gameInfoTextSize : 6
                            color: uiStringsId.txtColor
                            text: uiStringsId.txtListPlayed + played
                        }
                        Text {
                            anchors.verticalCenter: parent.verticalCenter
                            font.pointSize: gameInfoTextSize > 0 ? gameInfoTextSize : 6
                            color: uiStringsId.txtColor
                            text: uiStringsId.txtListWon + won
                        }
                    }
                }
            }
            MouseArea {
                anchors.fill: parent
                onClicked: {
                    itemSelected(id)
                }
            }
        }
    }

    GridView {
        cellWidth: rowWidth
        cellHeight: rowHeight
        id: solitaireListViewId
        anchors.margins: 3
        clip:  true
        anchors.fill: parent
        model: solitairelistmodel
        delegate: solitaireListDelegateId
        snapMode: ListView.SnapOneItem
//        orientation: ListView.Horizontal

    }


}
