import QtQuick 1.0

Item {
    anchors.fill: parent

    property bool portrait: height > width

    function oneStack(stack, x, y, cascade, showEmptyStack){
        stack.visible = true
        stack.showStack = showEmptyStack
        stack.x = x
        stack.y = y
        stack.cascadeType = cascade
    }


    function layoutStacks(stacks) {

        var gapX = solitairelayout.cardGapWidth;
        var gapY = solitairelayout.cardGapHeight;

        var handTop = Math.floor((height-2*gapY)/2);
        var handLeft = Math.floor((width-4*gapX)/2);


        var stackCounter = 1
        if (solitairelayout.leftHanded) {
            oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
            stackCounter++
            oneStack(stacks[stackCounter], handLeft+3*gapX, handTop, 0, true)
            stacks[stackCounter].customTextLocation = 1
            stackCounter++
        } else {
            oneStack(stacks[stackCounter], handLeft+3*gapX, handTop, 0, true)
            stackCounter++
            oneStack(stacks[stackCounter], handLeft+3, handTop, 0, true)
            stacks[stackCounter].customTextLocation = 1
            stackCounter++
        }

        // ace stacks
        for (var i=0; i<4; ++i) {
            oneStack(stacks[stackCounter], handLeft + i*gapX, handTop+gapY, 0, true)
            stackCounter++
        }

        solitairelayout.setDefaultDropStack(2)
        solitairelayout.stackCount = stackCounter
        solitairelayout.setCascadeSizeInPercent(0)
        solitairelayout.setFaceDownCascadeSizeInPercent(0)

//        solitairelayout.setStatusTextPos(handLeft, handTop-gapY);


        stacks[0].visible = false
        // hide all the rest
        for (var i=stackCounter; i<52; ++i) {
            stacks[i].visible = false
            stacks[i].showStack = false
        }

    }
}
