// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Item {
    anchors.fill: parent

    property bool portrait: height > width

    function oneStack(stack, x, y, cascade, showEmptyStack){
        stack.visible = true
        stack.showStack = showEmptyStack
        stack.x = x
        stack.y = y
        stack.cascadeType = cascade
    }


    function layoutStacks(stacks) {

        var gapX = solitairelayout.cardGapWidth;
        var gapY = solitairelayout.cardGapHeight;

        var tableTop = Math.floor((height-6*gapY)/2)
        var tableLeft = Math.floor((width-4*gapX)/2)
        var handTop = tableTop + 5*gapY
        var handLeft = tableLeft + gapX


        if (!portrait) {
            tableTop = Math.floor((height-4*gapY)/2);
            tableLeft = Math.floor((width-4*gapX)/2);
            handTop = tableTop + 2*gapY;
            if (solitairelayout.leftHanded) {
                handLeft = Math.floor((tableLeft-gapX)/2);
            } else {
                handLeft = width - Math.floor((tableLeft-gapX)/2) - gapX;
            }

        }

        var stackCounter = 1
        if (solitairelayout.leftHanded) {
            oneStack(stacks[stackCounter], handLeft, handTop, 0, true)

            stackCounter++
            if (portrait) {
                oneStack(stacks[stackCounter], handLeft+gapX, handTop, 0, true)
            } else {
                oneStack(stacks[stackCounter], handLeft, handTop-gapY, 0, true)
            }
        } else {
            if (portrait) {
                oneStack(stacks[stackCounter], handLeft+gapX, handTop, 0, true)
                stackCounter++
                oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
            } else {
                oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
                stackCounter++
                oneStack(stacks[stackCounter], handLeft, handTop-gapY, 0, true)
            }

        }

        var i=0
        // queen stacks
        for (i=0; i<2; ++i) {
            for (var j=0; j<2; ++j) {
                stackCounter++
                oneStack(stacks[stackCounter], tableLeft+(i+1)*gapX, tableTop+(j+1)*gapY, 0, true)
                stacks[stackCounter].customText = "Q"
            }
        }

        // five stacks
        for (var i=0; i<4; ++i) {
            stackCounter++
            oneStack(stacks[stackCounter], tableLeft+i*gapX, tableTop, 0, true)
            stacks[stackCounter].customText = "5"
        }

        // six stacks
        for (i=0; i<4; ++i) {
            stackCounter++
            oneStack(stacks[stackCounter], tableLeft+i*gapX, tableTop+3*gapY, 0, true)
            stacks[stackCounter].customText = "6"
        }

        solitairelayout.stackCount = stackCounter+1
        solitairelayout.setCascadeSizeInPercent(0)
        solitairelayout.setFaceDownCascadeSizeInPercent(0)

        stacks[0].visible = false
        // hide all the rest
        for (var i=stackCounter+1; i<52; ++i) {
            stacks[i].visible = false
            stacks[i].showStack = false
        }

    }
}
