import QtQuick 1.0

Item {
    anchors.fill: parent

    property bool portrait: height > width

    function oneStack(stack, x, y, cascade, showEmptyStack){
        stack.visible = true
        stack.showStack = showEmptyStack
        stack.x = x
        stack.y = y
        stack.cascadeType = cascade
    }


    function layoutStacks(stacks) {

        var gapX = solitairelayout.cardGapWidth;
        var gapY = solitairelayout.cardHeight+5;
        var tableGap = 100;
        var tableTop = Math.floor((height-2*tableGap-3*gapY)/2);
        var tableLeft = Math.floor((width-2*tableGap-gapX)/2);
        var handTop = tableTop + 3*tableGap + gapY;
        var handLeft = Math.floor((width-3*gapX)/2);

        if (!portrait) {
            tableTop = Math.floor((height-2*tableGap-gapY)/2);
            tableLeft = Math.floor((width-2*tableGap-gapX)/2);
            handTop = Math.floor((height-2*gapY)/2);
            if (solitairelayout.leftHanded) {
                handLeft = Math.floor((tableLeft-gapX)/2);
            } else {
                handLeft = width - Math.floor((tableLeft-gapX)/2) - gapX;
            }

        }

        var stackCounter = 1

        if (solitairelayout.leftHanded) {
            oneStack(stacks[stackCounter], handLeft, handTop, 0, true)

            stackCounter++
            if (portrait) {
                oneStack(stacks[stackCounter], handLeft+2*gapX, handTop, 0, true)
            } else {
                oneStack(stacks[stackCounter], handLeft, handTop+gapY, 0, true)
            }
        } else {
            if (portrait) {
                oneStack(stacks[stackCounter], handLeft + 2*gapX, handTop, 0, true)
                stackCounter++
                oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
            } else {
                oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
                stackCounter++
                oneStack(stacks[stackCounter], handLeft, handTop+gapY, 0, true)
            }

        }

        // table stacks 1...4
        stackCounter++
        oneStack(stacks[stackCounter], tableLeft + tableGap, tableTop, 0, true)

        stackCounter++
        oneStack(stacks[stackCounter], tableLeft, tableTop + tableGap, 0, true)

        stackCounter++
        oneStack(stacks[stackCounter], tableLeft + 2*tableGap, tableTop + tableGap, 0, true)

        stackCounter++
        oneStack(stacks[stackCounter], tableLeft + tableGap, tableTop + 2*tableGap, 0, true)

        // Six stack
        stackCounter++
        oneStack(stacks[stackCounter], tableLeft + tableGap, tableTop + tableGap, 0, true)
        stacks[stackCounter].customText = "6"

        // seven stacks
        stackCounter++
        oneStack(stacks[stackCounter], tableLeft, tableTop, 0, true)
        stacks[stackCounter].customText = "7"
        stacks[stackCounter].rotation = -45

        stackCounter++
        oneStack(stacks[stackCounter], tableLeft + 2*tableGap, tableTop, 0, true)
        stacks[stackCounter].customText = "7"
        stacks[stackCounter].rotation = 45

        stackCounter++
        oneStack(stacks[stackCounter], tableLeft, tableTop + 2*tableGap, 0, true)
        stacks[stackCounter].customText = "7"
        stacks[stackCounter].rotation = 45

        stackCounter++
        oneStack(stacks[stackCounter], tableLeft + 2*tableGap, tableTop + 2*tableGap, 0, true)
        stacks[stackCounter].customText = "7"
        stacks[stackCounter].rotation = -45

        solitairelayout.stackCount = stackCounter+1
        solitairelayout.setCascadeSizeInPercent(0)
        solitairelayout.setFaceDownCascadeSizeInPercent(0)

        stacks[0].visible = false
        // hide all the rest
        for (var i=stackCounter+1; i<52; ++i) {
            stacks[i].visible = false
            stacks[i].showStack = false
        }

    }
}
