import QtQuick 1.0

Item {
    anchors.fill: parent

    property bool portrait: height > width

    function oneStack(stack, x, y, cascade, showEmptyStack){
        stack.visible = true
        stack.showStack = showEmptyStack
        stack.x = x
        stack.y = y
        stack.cascadeType = cascade
    }


    function layoutStacks(stacks) {

        var gapX = solitairelayout.cardGapWidth;
        var gapY = solitairelayout.cardGapHeight;

        var baseTop = Math.floor((height-5*gapY)/2);
        var tableTop = baseTop + 2*gapY;
        var tableLeft = Math.floor((width-5*gapX)/2);
        var baseLeft = tableLeft + 2*gapX;

        if (!portrait) {
            baseTop = Math.floor((height-gapY)/2);
            tableTop = Math.floor((height-3*gapY)/2);
            if (solitairelayout.leftHanded) {
                tableLeft = Math.floor((width-7*gapX)/2);
                baseLeft = tableLeft + 6*gapX;
            } else {
                tableLeft = Math.floor((width-7*gapX)/2) + 2*gapX;
                baseLeft = tableLeft - 2*gapX;
            }
        }

        var stackCounter = 1
        oneStack(stacks[stackCounter], baseLeft, baseTop, 0, true)
        stacks[stackCounter].customTextLocation = 1

        var x = tableLeft;
        var y = tableTop;

        for (var i=0; i<13; ++i) {
            stackCounter++
            oneStack(stacks[stackCounter], x, y, 0, true)

            x += gapX;
            if ((i+1)%5 == 0) {
                x = tableLeft;
                y += gapY;
            }
            if (i==9) {
                x += gapX;
            }
        }


        solitairelayout.stackCount = stackCounter+1
        solitairelayout.setStatusTextPos(tableLeft, tableTop-gapY);
        solitairelayout.setCascadeSizeInPercent(0)
        solitairelayout.setFaceDownCascadeSizeInPercent(0)

        stacks[0].visible = false
        // hide all the rest
        for (var i=stackCounter+1; i<52; ++i) {
            stacks[i].visible = false
            stacks[i].showStack = false
        }

    }
}
