import QtQuick 1.0

Item {
    anchors.fill: parent

    property bool portrait: height > width

    function oneStack(stack, x, y, cascade, showEmptyStack){
        stack.visible = true
        stack.showStack = showEmptyStack
        stack.x = x
        stack.y = y
        stack.cascadeType = cascade
    }

    function layoutStacks(stacks) {

        var gapX = solitairelayout.cardGapWidth;
        var gapY = Math.floor(solitairelayout.cardHeight/2)+2;
        var margin = 10;
        var tableTop = Math.floor((height-10*gapY)/2);
        var handLeft = Math.floor((width-2*gapX)/2);
        var handTop = tableTop + 10*gapY;
        var baseTop = tableTop - 3*gapY;
        var baseLeft = width/2 - gapX / 2 - margin/2 + margin;

        if (!portrait) {
            tableTop += gapY; // finetuning
            handTop = tableTop+gapY;
            baseTop = handTop;
            if (solitairelayout.leftHanded) {
                handLeft = gapX;
                baseLeft = width-2*gapX;
            } else {
                handLeft = width-2*gapX;
                baseLeft = gapX;
            }
        }


        var stackCounter = 1
        if (solitairelayout.leftHanded) {
            oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
            stackCounter++
            if (portrait) {
                oneStack(stacks[stackCounter], handLeft+gapX, handTop, 0, true)
            } else {
                oneStack(stacks[stackCounter], handLeft, handTop+2*gapY, 0, true)
            }
        } else {
            if (portrait) {
                oneStack(stacks[stackCounter], handLeft + gapX, handTop, 0, true)
                stackCounter++
                oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
            } else {
                oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
                stackCounter++
                oneStack(stacks[stackCounter], handLeft, handTop+2*gapY, 0, true)
            }
        }

        // base stack
        stackCounter++
        oneStack(stacks[stackCounter], baseLeft, baseTop, 0, true)

        // table stacks
        for (var i=0; i<7; ++i) {
            var startX = width/2 - (i+1)*gapX / 2 - margin/2;
            for (var j=0; j<=i; ++j) {
                stackCounter++
                oneStack(stacks[stackCounter], startX + margin +j*gapX, tableTop+i*gapY, 0, false)
            }
        }
        solitairelayout.stackCount = stackCounter+1
        solitairelayout.setCascadeSizeInPercent(0)
        solitairelayout.setFaceDownCascadeSizeInPercent(0)

        stacks[0].visible = false
        // hide all the rest
        for (var i=stackCounter+1; i<52; ++i) {
            stacks[i].visible = false
            stacks[i].showStack = false
        }

    }
}
