import QtQuick 1.0

Item {
    anchors.fill: parent

    property bool portrait: height > width

    function oneStack(stack, x, y, cascade, showEmptyStack){
        stack.visible = true
        stack.showStack = showEmptyStack
        stack.x = x
        stack.y = y
        stack.cascadeType = cascade
    }

    function layoutStacks(stacks) {

        var cardWidth = solitairelayout.cardWidth;
        var gapX = cardWidth + 2
        var tableLeft = Math.floor((width-6*gapX-cardWidth)/2);
        var handLeft = tableLeft;
        var handTop = 30;
        var tableTop = handTop+solitairelayout.cardGapHeight;
        var cascadeSize = 25;
        var wrapPoint = 7; // where row is changed
        var gapY = Math.floor((height-tableTop)/2);

        if (!portrait) {
            // landscape
            handTop = 25;
            tableTop = handTop+solitairelayout.cardGapHeight;
            tableLeft = Math.floor((width-12*gapX-cardWidth)/2);
            handLeft = tableLeft;
            cascadeSize = 20;
            wrapPoint = 13;
            gapY = Math.floor((height-tableTop)/2);
        }

        var stackCounter = 1
        if (solitairelayout.leftHanded) {
            oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
            stacks[stackCounter].customTextLocation = 1
            stackCounter++
            oneStack(stacks[stackCounter], handLeft+gapX, handTop, 0, true)
            stacks[stackCounter].customTextLocation = 1
        } else {
            if (portrait) {
                handLeft = tableLeft + 6*gapX;
            } else {
                handLeft =tableLeft + 12*gapX
            }

            oneStack(stacks[stackCounter], handLeft, handTop, 0, true)
            stacks[stackCounter].customTextLocation = 1
            stackCounter++
            oneStack(stacks[stackCounter], handLeft-gapX, handTop, 0, true)
            stacks[stackCounter].customTextLocation = 1
        }

        var x = tableLeft;
        var y = tableTop;
        for (var i=0; i<13; ++i) {
            stackCounter++
            oneStack(stacks[stackCounter], x, y, 1, true)
            stacks[stackCounter].customTextLocation = 0
            if (i==0) {
                stacks[stackCounter].customText = "A";
            } else if (i==10) {
                stacks[stackCounter].customText = "J";
            } else if (i==11) {
                stacks[stackCounter].customText = "Q";
            } else if (i==12) {
                stacks[stackCounter].customText = "K";
            } else {
                stacks[stackCounter].customText = i+1;
            }

            x += gapX;
            if ((i+1)%wrapPoint == 0) {
                x = tableLeft + gapX/2;
                y += gapY;
            }
        }

        solitairelayout.stackCount = stackCounter+1

        stacks[0].visible = false
        // hide all the rest
        for (var i=stackCounter+1; i<52; ++i) {
            stacks[i].visible = false
            stacks[i].showStack = false
        }
        solitairelayout.setCascadeSizeInPercent(cascadeSize)
        solitairelayout.setFaceDownCascadeSizeInPercent(0)
    }
}
