// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Item {
    anchors.fill: parent

    property bool portrait: height > width

    function oneStack(stack, x, y, cascade, showEmptyStack){
        stack.visible = true
        stack.showStack = showEmptyStack
        stack.x = x
        stack.y = y
        stack.cascadeType = cascade
    }


    function layoutStacks(stacks) {

        var gapX = solitairelayout.cardGapWidth;
        var gapY = solitairelayout.cardGapHeight;

        var baseTop = Math.floor((height-4*gapY)/2)
        var baseLeft = Math.floor((width-4*gapX)/2)
        var tableTop = baseTop + 1.5*gapY
        var tableLeft = baseLeft
        var handTop = tableTop + 2*gapY
        var handLeft = tableLeft + 1.5*gapX

        var stackCounter = 1
        oneStack(stacks[stackCounter], handLeft, handTop, 0, true)

        // table stacks
        for (var i=0; i<4; ++i) {
            stackCounter++
            oneStack(stacks[stackCounter], tableLeft+i*gapX, tableTop, 0, true)
        }

        // base stacks
        for (i=0; i<4; ++i) {
            stackCounter++
            oneStack(stacks[stackCounter], baseLeft+i*gapX, baseTop, 0, true)
            stacks[stackCounter].customText = "A"
        }


        solitairelayout.stackCount = stackCounter+1

        solitairelayout.setStatusTextPos(handLeft - 30, handTop - 30);
        solitairelayout.setCascadeSizeInPercent(0)
        solitairelayout.setFaceDownCascadeSizeInPercent(0)

        stacks[0].visible = false
        // hide all the rest
        for (var i=stackCounter+1; i<52; ++i) {
            stacks[i].visible = false
            stacks[i].showStack = false
        }

    }
}
