
// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import ".."
Item {

    width: parent.width
    height: txt1Id.height + cornersHelp1Id.height + txt2Id.height

    UiStrings {
        id: uiStringsId
    }

    ImageLocations {
        id: imagesId
    }

    Text {
        id: txt1Id
        width: parent.width
        text: "<b>Corners</b>
<p>
<u>Layout</u>
<p>
Cards 2 to 6 are removed so there are only 32 cards left on the deck.
Deal whole 32 cards to four columns, with each have eight cards face up.
<p>
<u>How to play</u>
<p>
See first if there are two cards of the same value. Remove these cards.

For example in picture below nine of hearts and nine of diamonds can be removed but Queen of spades and Queen of clubs cannot.
"
        color: uiStringsId.txtColor
        font.bold: false
        font.pointSize: phonemodel === "symbian" ? 6 : 20
        wrapMode: Text.WordWrap
    }

    Image {
        anchors.top: txt1Id.bottom
        id: cornersHelp1Id
        source:  phonemodel === "meego" ? "../images/help/corners1.png" : imagesId.imageFolderCommon + "help/corners1.png"
    }
    Text {
        anchors.top: cornersHelp1Id.bottom
        id: txt2Id
        width: parent.width
        text: "<p>
After all the pairs have been removed, remaining cards on the table are shuffled again and dealt to the table. Since some of the cards have been removed not all the columns are not filled. Again remove all the pairs.
Cards can be shuffled and dealt again to the table two times.

If there are 12 cards left on the table you have won the game.
<p>
"
        color: uiStringsId.txtColor
        font.bold: false
        font.pointSize: phonemodel === "symbian" ? 6 : 20
        wrapMode: Text.WordWrap
    }
}
